from typing import Optional, Union

from sqlmodel import Field, SQLModel, Session, select
from db.DB import DB, DBException


class Token(SQLModel):
    access_token: str
    token_type: str


class TokenData(SQLModel):
    username: Union[str, None] = None
